#pragma once

#include <QStringList>

namespace Dtk {
namespace Util {

class Entry
{
public:
    Entry(const QString &value, void *data);

    QStringList keys() const;
    QString value() const;
    void *data() const;
private:
    QString rawValue;
    void    *rawData;
    QString pingyin;
    QString pingyinShort;
};

}}
